<Project Sdk="Microsoft.NET.Sdk">

   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <AssemblyName>Raytheon.Instruments.EloadSystemScpiKeysight</AssemblyName>
      <Product>Eload System Scpi Keysight implementation</Product>
      <Description>Eload System Scpi Keysight implementation</Description>
      <OutputType>Library</OutputType>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Raytheon.Instruments.ELoadSystem.Contracts" Version="1.1.0" />
      <PackageReference Include="Raytheon.Instruments.ELoad.Contracts" Version="1.1.0" />
   </ItemGroup>

   <ItemGroup>
     <ProjectReference Include="..\ELoadScpiKeysight\ELoadScpiKeysight.csproj" />
   </ItemGroup>

   <ItemGroup>
     <Reference Include="NationalInstruments.NI4882">
       <HintPath>..\..\Common\COTS\NI\NationalInstruments.NI4882.dll</HintPath>
     </Reference>
   </ItemGroup>

   <!-- Copy all *.dlls and *.pdb in the output folder to a temp folder -->
   <Target Name="CopyFiles" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="$(OutDir)*.dll" />
         <FILES_2 Include="$(OutDir)*.pdb" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(HalTempFolder)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(HalTempFolder)" />
   </Target>

</Project>
